Subject: Re: bug#31207: 26; Doc strings of commands and other functions of `replace.el'

From: Robert Pluim <[email-masked]>
Date: Tue, 08 Oct 2019 13:32:17 +0200

>>>>> On Mon, 7 Oct 2019 10:29:15 -0700 (PDT), Drew Adams <[email-masked]> said:

    Drew> for `query-replace(-regexp)' there is no
    >> description of argument REGION-NONCONTIGUOUS-P.
    >> 
    >> query-replace:
    >> 
    >> Arguments FROM-STRING, TO-STRING, DELIMITED, START, END, BACKWARD, and
    >> REGION-NONCONTIGUOUS-P are passed to `perform-replace' (which see).

    Drew> I have only Emacs 26.3 - the latest release, and the
    Drew> release I reported on. That text is not in the doc string.

OK
    >> perform-replace:
    >> 
    >> Non-nil REGION-NONCONTIGUOUS-P means that the region is composed of
    >> noncontiguous pieces.  The most common example of this is a
    >> rectangular region, where the pieces are separated by newline
    >> characters."

    Drew> That too is missing from Emacs 26.3.

OK

    Drew> If you feel that this bug is completely fixed in
    Drew> Emacs 27, please close it as "fixed".  Thx.

I canʼt answer that, because I donʼt know which of the defuns in
replace.el you feel are underdocumented. Please donʼt say 'all of
them'.

Rober